Skip to navigation

Retrieve a rating detail

View as Markdown
Retrieves a single rating detail by ID.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. id.ASC) or descending (e.g. id.DESC). Supported sortable fields:

  • id
  • invoiceitemid
  • creditmemoitemid
expand[]list of stringsOptional
Allows you to expand responses by including related object information in a single call. This operation does not have expandable fields.
filter[]list of stringsOptional

A case-insensitive filter on the list.

Supported filterable fields:

  • id
  • invoiceitemid
  • creditmemoitemid

You can also filter on custom fields using the format customField__c.

fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the Rating Detail.
invoiceItemIdstringOptional
The unique identifier of the Invoice Item this Rating Detail is associated to.
creditMemoItemIdstring or nullOptional
The unique identifier of the Credit Memo Item this Rating Detail is associated to.
chargeTypestringOptional
The type of charge of the associated Invoice Item.
chargeModelstringOptional
The charge model of the associated Invoice Item.
formulastringOptional
Text with mathematical formula used to rate the amount.
calculationstringOptional
Details of the rating done by replacing values in the formula.
calculatedAmountdoubleOptional
The output result of the rating calculation.
currencystringOptional
The currency code of the calculated amount.
unitOfMeasurestringOptional
Unit of measure if it's a usage charge.
quantitydouble or nullOptional
If usage charge, quantity of usages.
billedQuantitydouble or nullOptional

For on-demand usage charges, previously billed quantity in the same billing period.

billedAmountdouble or nullOptional

For on-demand usage charges, previously billed amount in the same billing period.

isProrationbooleanOptional
True if the billing period is a prorated period.
isCreditbooleanOptional
True if this is a credit.
listPriceBasestringOptional
List price base from the rate plan charge.
billingCycleDayintegerOptional
Billing cycle day from the rate plan charge.
billingCycleTypestringOptional
Billing cycle type from the rate plan charge.
billingPeriodstringOptional
Billing period from the rate plan charge.
specificBillingPeriodstringOptional
Specific billing period from the rate plan charge.
validityPeriodTypestringOptional
Validity period type for prepaid or commitment charges.
billingPeriodAlignmentstringOptional
Billing period alignment from the rate plan charge.
alignmentStartDatedateOptional
Start date used for billing alignment.
amountWithoutTaxdoubleOptional
The amount from the Invoice Item or Credit Memo Item.
isInclusiveTaxNoRoundingbooleanOptional
True if tax mode option is set to tax inclusive.
isProrationPartialPeriodbooleanOptional
True if billing rule "Prorate recurring charges for partial period?" is Yes.
isProrateMonthlyChargesbooleanOptional

True if billing rule “Bill usage/recurring charges for partial month?” is Yes.

isProrateWeeklyChargesbooleanOptional

True if billing rule “Bill usage/recurring charges for partial week?” is Yes.

prorationUnitRulestringOptional
Value of billing rule for prorating units.
daysInMonthRulestringOptional
Value of billing rule for days in a month.
recurringCreditProrationOptionRulestringOptional
Billing rule for recurring credit proration option.
isCreditWithOriginalCEbooleanOptional
True if permission for credit with original invoice item amount is enabled.
isProrateDiscountCreditbooleanOptional
True if prorated discount credit rule is enabled.
stackedDiscountClassApplyRulestringOptional
Billing rule for applying stacked discount class.
recurringPeriodStartdateOptional
Start date of the current service period.
recurringPeriodEnddateOptional
End date of the current service period.
chargeStartDatedateOptional
Charge start date.
chargeEndDatedateOptional
Charge end date.
subStartDatedateOptional
Subscription start date.
subEndDatedateOptional
Subscription end date.
termStartDatedateOptional
Term start date.
termEndDatedateOptional
Term end date.
creditOptionstringOptional
Credit option from the rate plan charge.
fundingPricedoubleOptional
Total price of current validity period fund.
totalBalancedoubleOptional
Total fund or discount schedule balance.
remainingBalancedoubleOptional
Remaining fund or discount schedule balance.
originalBillingPeriodStartdateOptional
Start date of original billing period if credit.
originalBillingPeriodEnddateOptional
End date of original billing period if credit.
originalAmountdoubleOptional
Original billed amount if credit.
basePricedoubleOptional
Base price or fixed amount.
discountClassstringOptional
Discount class as in rate plan charge.
discountClassOrderintegerOptional
Order number of discount class.
discountLevelstringOptional
Discount level from rate plan charge.
discountApplySequenceintegerOptional
Sequence in which the discount is applied.
discountSchedulePeriodStartdateOptional
Discount schedule start date.
discountSchedulePeriodEnddateOptional
Discount schedule end date.
regularChargeAmountdoubleOptional
Amount of the charge that the discount is applied to.
regularChargeAmountLeftdoubleOptional
Remaining amount of charge before this discount is applied.
originalRegularChargeAmountdoubleOptional
Original amount of charge before credit.
discountBalanceFormulastringOptional
Formula used to calculate discount total balance.

Errors

4XX
Client Request Error
500
Internal Server Error